<?php

namespace common\logic\Producer\ProducerPriceRange;

use common\logic\AbstractContainer;

class ProducerPriceRangeContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return ProducerPriceRange::class;
    }

    public function getServices(): array
    {
        return [
            ProducerPriceRangeRepository::class,
            ProducerPriceRangeBuilder::class,
        ];
    }

    public function getRepository(): ProducerPriceRangeRepository
    {
        return ProducerPriceRangeRepository::getInstance();
    }

    public function getBuilder(): ProducerPriceRangeBuilder
    {
        return ProducerPriceRangeBuilder::getInstance();
    }
}