<?php

namespace common\logic\Subscription\ProductSubscription;

use common\logic\AbstractContainer;

class ProductSubscriptionContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return ProductSubscription::class;
    }

    public function getServices(): array
    {
        return [
            ProductSubscriptionRepository::class,
            ProductSubscriptionBuilder::class
        ];
    }

    public function getRepository(): ProductSubscriptionRepository
    {
        return ProductSubscriptionRepository::getInstance();
    }

    public function getFactory(): ProductSubscriptionBuilder
    {
        return ProductSubscriptionBuilder::getInstance();
    }
}