<?php

namespace common\logic\Subscription\Subscription;

use common\logic\Distribution\Distribution\Distribution;
use common\logic\Order\Order\OrderManager;

class SubscriptionEventSubscriber
{
    /**
     * @param Distribution $distribution
     * @return void
     */
    public static function onActiveDistribution(Distribution $distribution): void
    {
        $orderManager = OrderManager::getInstance();
        $orderManager->createAllOrdersFromSubscriptions($distribution->date);
    }
}