<?php

namespace common\logic\User\UserGroup;

use common\logic\AbstractContainer;

class UserGroupContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return UserGroup::class;
    }

    public function getServices(): array
    {
        return [
            UserGroupBuilder::class,
            UserGroupRepository::class
        ];
    }

    public function getBuilder(): UserGroupBuilder
    {
        return UserGroupBuilder::getInstance();
    }

    public function getRepository(): UserGroupRepository
    {
        return UserGroupRepository::getInstance();
    }
}