<?php

namespace common\logic\User\UserUserGroup;

use common\logic\AbstractContainer;

class UserUserGroupContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return UserUserGroup::class;
    }

    public function getServices(): array
    {
        return [
            UserUserGroupRepository::class,
            UserUserGroupBuilder::class
        ];
    }

    public function getRepository(): UserUserGroupRepository
    {
        return UserUserGroupRepository::getInstance();
    }

    public function getBuilder(): UserUserGroupBuilder
    {
        return UserUserGroupBuilder::getInstance();
    }
}