<?php

namespace common\logic\Product\ProductCategory;

use common\logic\AbstractContainer;

class ProductCategoryContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return ProductCategory::class;
    }

    public function getServices(): array
    {
        return [
            ProductCategoryBuilder::class,
            ProductCategoryRepository::class
        ];
    }

    public function getBuilder(): ProductCategoryBuilder
    {
        return ProductCategoryBuilder::getInstance();
    }

    public function getRepository(): ProductCategoryRepository
    {
        return ProductCategoryRepository::getInstance();
    }
}