<?php

namespace common\logic\Product\ProductPointSale;

use common\logic\AbstractContainer;

class ProductPointSaleContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return ProductPointSale::class;
    }

    public function getServices(): array
    {
        return [
            ProductPointSaleRepository::class,
            ProductPointSaleBuilder::class,
        ];
    }

    public function getRepository(): ProductPointSaleRepository
    {
        return ProductPointSaleRepository::getInstance();
    }

    public function getBuilder(): ProductPointSaleBuilder
    {
        return ProductPointSaleBuilder::getInstance();
    }
}